## ipv6calc 4.1.0

=== Makefile ===
#
# GNU getopt library
#

all: libgnugetopt.so.1

libgnugetopt.so.1: getopt.o getopt1.o
	${CC} ${CFLAGS} -shared -Wl,-soname,libgnugetopt.so.1 -o libgnugetopt.so.1 getopt.o getopt1.o

getopt1.o: getopt1.c
	${CC} ${CFLAGS} -fPIC -o getopt1.o -c -s getopt1.c

getopt.o: getopt.c
	${CC} ${CFLAGS} -fPIC -o getopt.o -c -s getopt.c

clean:
	rm *.o *.so.1
