=== debian/changelog ===
ipv6calc (4.1.0-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -std=gnu17 to workaround FTBFS with GCC 15.
    (Closes: #1096849)

 -- Adrian Bunk <bunk@debian.org>  Thu, 02 Oct 2025 21:45:57 +0300

ipv6calc (4.1.0-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Preserve IEEE database timestamps, to make build reproducible.

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 04 May 2025 19:55:02 +0200

ipv6calc (4.1.0-0.1) unstable; urgency=medium

  [ Faidon Liambotis ]
  * Non-maintainer upload, maintainer is unresponsive (#999664).
  * New upstream release.
    - Drop GCC 10-related patch (ipv6logconv.patch), fixed upstream.
    - Switch to GeoIP2 (libmaxminddb-dev), replacing the GeoIP-Legacy
      (libgeoip-dev) functionality.
  * Convert package to "dh", and bump debhelper compat to 13.
  * Build with (all) hardening flags.
  * Enable some of the upstream build-time tests.
  * Add more upstream cruft (Makefiles) to d/clean.
  * Properly return the source tree to its pristine condition after "clean".
  * Bump watchfile to version 4.
  * Switch watchfile from FTP to HTTPS URL, addressing the
    debian-watch-uses-insecure-uri lintian warning.
  * Use upstream's 2022-12-04 signing key (expires: 2027-12-03).
  * Remove versioned Build-Dependency on a too old dpkg-dev.
  * Bump Standards-Version to 4.6.2.
  * Add upstream metadata, mostly pointing to upstream's GitHub project.
  * Set Rules-Requires-Root to no.
  * debian/copyright:
    - Update to copyright-format v1.0.
    - Reindent based on the new format rules.
    - Add the GPL preamble, use Comment, and separate GPL-2.0 from GPL-2.0+.
    - Update dates and files, as a result of the new upstream release.
    - Add my own copyright.
  * Remove now-obsolete README.source (was the quilt boilerplate).
  * Remove now-obsolete README.Debian.
  * Remove tools and examples that are not really useful in a binary
    distribution.
  * Use the Debian-provided copies of IEEE data (which also happen to be more
    recent), rather than the precompiled ones in the source tarball.
  * Add lintian overrides when appropriate, with a comment documenting why.

  [ Ondřej Nový ]
  * d/changelog: Remove trailing whitespaces

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Re-export upstream signing key without extra signatures.

 -- Faidon Liambotis <paravoid@debian.org>  Sat, 02 Dec 2023 23:50:30 +0200

ipv6calc (1.0.0-1.2) unstable; urgency=medium

  * Non-maintainer upload
  * Convert to source format 3.0 (Closes: #1043192)
    + Drop unused quilt

 -- Bastian Germann <bage@debian.org>  Fri, 29 Sep 2023 10:52:01 +0200

ipv6calc (1.0.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957372)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 18 Aug 2020 18:48:51 +0100

ipv6calc (1.0.0-1) unstable; urgency=medium

  * New upstream version 1.0.0

 -- Luca Bruno <lucab@debian.org>  Thu, 10 May 2018 13:19:02 +0000

ipv6calc (0.99.1-2) unstable; urgency=medium

  [ Evgeni Golov ]
  * remove myself from uploaders

  [ Luca Bruno ]
  * control: move vcs endpoints to salsa
  * control: bump to compat version 10
  * rules: switch to dh_prep
  * control: bump policy version to 4.1.4
  * gbp: update config

 -- Luca Bruno <lucab@debian.org>  Tue, 24 Apr 2018 20:28:10 +0000

ipv6calc (0.99.1-1) unstable; urgency=medium

  * New upstream version
  * debian: update control and gbp.conf

 -- Luca Bruno <lucab@debian.org>  Sat, 03 Oct 2015 19:01:46 +0200

ipv6calc (0.97.4-1) unstable; urgency=medium

  * New upstream version
  * Bump policy version to 3.9.5

 -- Luca Bruno <lucab@debian.org>  Sun, 17 Aug 2014 15:48:16 +0200

ipv6calc (0.97.2-1) unstable; urgency=medium

  * new upstream version
  * debian/watch: add OpenPGP signature check

 -- Luca Bruno <lucab@debian.org>  Sat, 21 Jun 2014 11:14:38 +0200

ipv6calc (0.95.0-1) unstable; urgency=low

  * New upstream version

 -- Luca Bruno <lucab@debian.org>  Sun, 01 Dec 2013 12:15:18 +0100

ipv6calc (0.94.1-1) unstable; urgency=low

  * New upstream version

 -- Luca Bruno <lucab@debian.org>  Thu, 16 May 2013 17:20:29 +0200

ipv6calc (0.93.1-2) unstable; urgency=low

  * Use hardened CPPFLAGS (Closes: #665288)

 -- Luca Bruno <lucab@debian.org>  Sat, 19 May 2012 23:51:46 +0200

ipv6calc (0.93.1-1) unstable; urgency=low

  * New upstream release
  * Added dpkg-dev build-dep
  * Bumped standards-version to 3.9.3 (no changes)
  * Fix build target in debian/rules (with arch/indep split)

 -- Luca Bruno <lucab@debian.org>  Mon, 12 Mar 2012 17:53:44 +0100

ipv6calc (0.92.0-1) unstable; urgency=low

  * New upstream release

 -- Luca Bruno <lucab@debian.org>  Sat, 26 Nov 2011 16:36:25 +0100

ipv6calc (0.90.0-2) unstable; urgency=low

  * Enable hardening flags (Closes: #646271)
    + Fix some snprintf() without format specifiers

 -- Luca Bruno <lucab@debian.org>  Wed, 02 Nov 2011 13:58:53 +0100

ipv6calc (0.90.0-1) unstable; urgency=low

  * New upstream version
  * Use split v4/v6 GeoIP databases

 -- Luca Bruno <lucab@debian.org>  Sun, 07 Aug 2011 15:54:04 +0200

ipv6calc (0.82.0-1) unstable; urgency=low

  * New upstream release
    + Add support for NAT64

 -- Luca Bruno <lucab@debian.org>  Sun, 03 Apr 2011 17:29:28 +0200

ipv6calc (0.81.0-1) unstable; urgency=low

  * New upstream release
    + Address parsing with stricter validation (Closes: #612489)

 -- Luca Bruno <lucab@debian.org>  Wed, 02 Mar 2011 10:27:47 +0100

ipv6calc (0.80.0-1) unstable; urgency=low

  * New upstream release
    + Drop all our previous patches, everything has been accepted upstream

 -- Luca Bruno <lucab@debian.org>  Sun, 16 Jan 2011 12:14:06 +0100

ipv6calc (0.73.0-3) unstable; urgency=low

  * Fix typo in printing of Teredo server address, thanks Martin Millnert
    (Closes: #569236)
  * Bumped Standards-Version to 3.8.4

 -- Luca Bruno <lucab@debian.org>  Sun, 07 Mar 2010 11:11:18 +0100

ipv6calc (0.73.0-2) unstable; urgency=low


