=== debian/control ===
Source: ipv6calc
Section: net
Priority: optional
Maintainer: Luca Bruno <lucab@debian.org>
Homepage: https://www.deepspace6.net/projects/ipv6calc.html
Vcs-Browser: https://salsa.debian.org/debian/ipv6calc
Vcs-Git: https://salsa.debian.org/debian/ipv6calc.git
Build-Depends:
 debhelper-compat (= 13),
 ieee-data,
 libmaxminddb-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.2

Package: ipv6calc
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 bind9-host | host,
Description: small utility for manipulating IPv6 addresses
 The ipv6calc utility can convert between different formats of IPv4 or IPv6
 addresses. It can also show information about the addresses, including who
 they are assigned to on the Internet.
